1U

Out Of Stock Supermicro Short Depth 1U Chassis, (MBD-X10SLM-F), 260w PSU, 2 x 2.5

Supermicro Short Depth 1U Chassis, (MBD-X10SLM-F), 260w PSU, 2 x 2.5" / 3.5" drive bay

Supermicro

CSE-512L-260B

Refurbished

£195.00 (ex. VAT)

..

Out Of Stock

Supermicro CSE-813MTQ-600CB - X9SRi-F, E5-1660v2, 6x 4GB

Supermicro

CSE-813MTQ-600CB-CONF1

Refurbished

£399.00 (ex. VAT)

..

Out Of Stock Supermicro CSE-502L-200B 1U - 1 x 3.5

Supermicro CSE-502L-200B 1U - 1 x 3.5" Bay

Supermicro

CSE-502L-200B

Refurbished

£96.12 (ex. VAT)

..

Out Of Stock Supermicro 6017R-WRF 1U SuperServer

Supermicro 6017R-WRF 1U SuperServer

Supermicro

SYS-6017R-WRF

Refurbished

£315.00 (ex. VAT)

Supermicro 1U Dual CPU LGA2011 Socket supporting E5-2600 v1/v2 series,..

Out Of Stock Supermicro 6016T-NTRF Barebones Server

Supermicro 6016T-NTRF Barebones Server

Supermicro

SYS-6016T-NTRF

Refurbished

£129.00 (ex. VAT)

Supermicro 1U Dual 5500/5600 Series, 4 x 3.5" SATA, Dual PSU..

Out Of Stock Supermicro 1U SuperServer E300-9D-8CN8TP

Supermicro 1U SuperServer E300-9D-8CN8TP

Supermicro

SYS-E300-9D-8CN8TP-NEW

New

£1,129.00 (ex. VAT)

Key Features• Network Security Appliance• Universal Customer PremiseEq..

Out Of Stock Supermicro 1U SuperServer E300-9D

Supermicro 1U SuperServer E300-9D

Supermicro

SYS-E300-9D

New

£622.60 (ex. VAT)

Supermicro 1U SYS-E300-9D SuperServer (Black), barebones system includ..

Out Of Stock Supermicro 1U Rackmount, X9DRI-LN4F+ v1.1, E5-2640 12 Core, 2.50 GHz& 32Gb RAM

Supermicro 1U Rackmount, X9DRI-LN4F+ v1.1, E5-2640 12 Core, 2.50 GHz& 32Gb RAM

Supermicro

CSE-815TQ-LN4F-CONFIG3

Refurbished

£349.00 (ex. VAT)

Refurbished Supermicro 1U rackmount server, X9DRI-LN4F+ motherboard, 2..

Out Of Stock Supermicro 1U Low Power Atom Chassis 280w (X7SPE -HF) - Black Not Beige As Photo

Supermicro 1U Low Power Atom Chassis 280w (X7SPE -HF) - Black Not Beige As Photo

Supermicro

CSE-813MTQ-280CB

Refurbished

£99.00 (ex. VAT)

..

Showing 55 to 63 of 79 (9 Pages)

Subscribe to our newsletter

* indicates required